Talk:JOSM/Plugins

From OpenStreetMap Wiki
Jump to: navigation, search

Discuss JOSM/Plugins page here:


Guide to important plugins

I deliberately didn't mention much working with photos or aerial imagery on the other pages of the JOSM/Guide because these features are available through plugins (WMSPlugin & AgPifoJ), but I do consider them to be fairly crucial features. Likewise validator I guess. Might be nice to present them on this page with a bit more guide-like description. Maybe just a paragraph dedicated to some of these 'important' plugins. Different people have different ideas about which plugins are most important of course, so that might be a problem. Could do with stats on which plugins are most popular. -- Harry Wood 09:46, 11 October 2009 (UTC)

AgPifoJ is part of JOSM core now. So we should maybe fit in 'working with photos' section into the guide. Or maybe it doesn't need to be. The Photo Mapping page has a big JOSM section -- Harry Wood 12:01, 25 March 2010 (UTC)
and now a separate Photomapping In JOSM page. -- Harry Wood 13:31, 23 April 2010 (UTC)

Template:JOSMPlugins

User:Calibrator made it so that this page now brings in Template:JOSMPlugins, instead of having the list directly in the page. Not really sure why that was done.

There was also some odd editing going there. See Template talk:JOSMPlugins. All very mysterious

-- Harry Wood 13:34, 23 April 2010 (UTC)

Deprecated plugins

There are quite a number of plugins on this list that are now deprecated, e.g. have been integrated into the core. Could we remove these from this list or create a second list showing deprecated plugins? I think it makes it confusing to new users. Some are JOSM/Plugins/AgPifoJ, JOSM/Validator, JOSM/Plugins/utilsplugin, JOSM/Plugins/WMSPlugin. - Joshdoe 15:21, 8 March 2011 (UTC)

They are not in fact obsolete when they are integrated in the core: they are still plugins there, and can still be removed from the installation. They are just installed by default, and now maintained by JOSM authors directly (but still separately as this simplifies a lot JOSM development and testing by including these plugins only when needed for their tests).
What is obsolete is only the separate/older repositores and their older versions, meaning that JOSM users should use the version given and updated with JOSM. — Verdy_p (talk) 22:20, 25 November 2016 (UTC)
+1 for removing the deprecated plugins from the list. This page is mainly for users, which are new to JOSM. In my eyes it doesn't make sense to present them things, which don't exist at all anymore. --Klumbumbus (talk) 17:23, 26 November 2016 (UTC)